import React from 'react';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import { Popup, DatetimePicker } from '@antmjs/vantui';

export default (props) => {
  const { show, onCancel, onChange, ...leftProps } = props;

  const onConfirm = (e) => {
    const dt = new Date(e.detail.value);
    onChange(dt);
  }
  
  return (
    <Popup show={show} position="bottom" onClose={onCancel}>
      <DatetimePicker {...leftProps} onConfirm={onConfirm} />
    </Popup>
  )
}
