import React from 'react';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import { Tab, Tabs } from '@antmjs/vantui';
import Page from '@/layouts/index';
import PowerList from '@/components/PowerList';
import Card from '@/components/IssueCard';
import { getTaIssue } from '@/services/taissue';
import { ROLE_INSPECTOR, ROLE_MANAGER } from '@/utils/user';
import { useModel } from '@/store';
import { getIssueStatus } from '@/utils/biz';

// 只有督察员能看到当前页面
export default (props) => {
  // const { user } = useModel('user');

  const onClick = (item) => {
    Taro.navigateTo({
      url: `/pages/issue/edit/index?id=${item.issueId}`
    })
  }
  
  return (
    <Page roles={[ROLE_INSPECTOR]}>
      <Tabs sticky>
        <Tab title="全部">
          <PowerList
            request={getTaIssue}
            renderItem={(item) => (
              <Card key={item.issueId} detail={item} onClick={() => onClick(item)} />
            )}
          />
        </Tab>
        <Tab title="未交办">
          <PowerList
            request={getTaIssue}
            params={{bizStatus: 'start'}}
            renderItem={(item) => (
              <Card key={item.issueId} detail={item} onClick={() => onClick(item)} />
            )}
          />
        </Tab>
        <Tab title="已交办">
          <PowerList
            request={getTaIssue}
            params={{bizStatus: 'assigned'}}
            renderItem={(item) => (
              <Card key={item.issueId} detail={item} onClick={() => onClick(item)} />
            )}
          />
        </Tab>
        <Tab title="已办结">
          <PowerList
            request={getTaIssue}
            params={{bizStatus: 'end'}}
            renderItem={(item) => (
              <Card key={item.issueId} detail={item} onClick={() => onClick(item)} />
            )}
          />
        </Tab>
        <Tab title="已逾期">
          <PowerList
            request={getTaIssue}
            params={{bizStatus: 'expired'}}
            renderItem={(item) => (
              <Card key={item.issueId} detail={item} onClick={() => onClick(item)} />
            )}
          />
        </Tab>
        <Tab title="已打回">
          <PowerList
            request={getTaIssue}
            params={{bizStatus: 'reject'}}
            renderItem={(item) => (
              <Card key={item.issueId} detail={item} onClick={() => onClick(item)} />
            )}
          />
        </Tab>
      </Tabs>
    </Page>
  )
}
