import React from 'react';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import { Notify } from '@antmjs/vantui';
import Page from '@/layouts/index';
import getAuthorize from '@/utils/authorize';
import Map from './components/Map';
import Issue from './components/Issue';

export default (props) => {

  const [loc, setLoc] = React.useState();

  React.useMemo(() => {
    getAuthorize('scope.userLocation').then(() => {
      Taro.getLocation({
        success(res) {
          setLoc(`${res.longitude},${res.latitude}`);
        },
        fail() {
          Notify.show({
            message: '获取位置失败, 请退出重试',
            type: 'warning',
          })
        }
      });
    }).catch((err) => {
      Notify.show({
        message: '未能获取位置, 程序部分功能将不能正常使用',
        type: 'warning',
      })
    });
  }, []);

  return (
    <Page>
      <Map location={loc} />
      <Issue />
    </Page>
  )
}
