import React from 'react';
import Taro from '@tarojs/taro';
import md5 from 'md5';
import { login, signin, currentUser } from '@/services/wxma';

export default function useUser() {
  const [person, setPerson] = React.useState();
  const [user, setUser] = React.useState();

  const maLogin = (code) => {
    login(code).then(res => {
      setPerson(res.person);
      Taro.setStorage({ key: 'personId', data: res.person.personId })
      Taro.setStorage({ key: 'sessionKey', data: res.sessionKey })
    });
  }

  const maSignIn = (params) => {
    const data = {
      ...params,
      password: md5(params.password)
    }

    return signin(data).then(res => {
      setUser(res.user);
    })
  }

  const current = () => {
    currentUser().then(res => {
      setUser(res.user);
    })
  }

  return {
    user,
    person,
    current,
    signin: maSignIn,
    login: maLogin,
  }
}
