import dayjs from 'dayjs';

export function getIssueStatus(taIssue) {
  if (taIssue.processStatus === 'reject') {
    return {
      value: 4,
      label: '已打回',
    };
  } else if (taIssue.processNode === 'start') {
    return {
      value: 0,
      label: '未交办',
    }
  } else if (taIssue.processNode === 'end') {
    return {
      value: 2,
      label: '已办结',
    };
  } else if (taIssue.processNode !== 'end' && taIssue.expireDate <= dayjs().format('YYYY-MM-DD')) {
    return {
      value: 3,
      label: '已逾期',
    };
  } else if (taIssue.processNode === 'assigned') {
    return {
      value: 1,
      label: '已交办',
    };
  }

  return {};
}
